<template>
  <div class="mx-4 md:mx-8 lg:mx-32 xl:mx-48 my-16">
    <model-category-chooser />
    <main class="flex flex-row">
      <prognostic-model />
      <div class="m-4 md:mx-4 lg:mx-8" />
      <attribute-contribution v-if="pageShown === 1" />
      <patient-classifications v-else-if="pageShown === 2" />
      <patient-classification v-else-if="pageShown === 3" />
    </main>
  </div>
</template>

<script>
import { mapState } from "vuex";

import modelCategoryChooser from "@/components/ModelCategoryChooser.vue";
import prognosticModel from "@/components/PrognosticModel.vue";
import attributeContribution from "@/components/AttributeContribution.vue";
import patientClassifications from "@/components/PatientClassifications.vue";
import patientClassification from "@/components/PatientClassification.vue";

export default {
  components: {
    modelCategoryChooser,
    prognosticModel,
    attributeContribution,
    patientClassifications,
    patientClassification
  },
  computed: {
    ...mapState(["pageShown"])
  }
};
</script>
